//
//  HistoricView.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 21/05/2024.
//

import SwiftUI

struct HistoricView: View {
    var body: some View {
        VStack {
            TitlePageFrame(Text: "Historic", ImageWidth: 200, ImageHeight: 200)
            
            VStack {
                GameResumeFrame(Player1Name: "Remi", Player2Name: "Nathan", Status: "Winner: Nathan")
                GameResumeFrame(Player1Name: "Rayhan", Player2Name: "Nathan", Status: "Winner: Nathan")
                GameResumeFrame(Player1Name: "Rayhan", Player2Name: "Rémi", Status: "Draw")
            }
            .padding(.horizontal, 10)
            
            Spacer()
                
        }
    }
}

struct HistoricView_Previews: PreviewProvider {
    static var previews: some View {
        HistoricView()
    }
}
